Bug 1664869 - [RFE] Support configuring multiple RGW endpoints in ceph-ansible for RGW multisite
Summary: [RFE] Support configuring multiple RGW endpoints in ceph-ansible for RGW mult...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 3.2
Assignee: Ali Maredia
QA Contact: Vasishta
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2019-01-09 21:26 UTC by Mike Hackett
Modified: 2019-04-30 19:03 UTC (History)
17 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.13-1.el7cp Ubuntu: ceph-ansible_3.2.13-2redhat1
Doc Type: Enhancement
Doc Text:
.Ceph Ansible supports a mulit-site Ceph Object Gateway configuration With previous versions of `ceph-ansible`, only one Object Gateway endpoint was configurable. With this release, `ceph-ansible` supports a multi-site Ceph Object Gateway for multiple endpoints. Zones can be configured with multiple Object Gateways and can be added to a zone automatically by appending their endpoint information to a list. With the `rgw_multisite_proto` option, users can set it to `http` or `https` depending on whether the endpoint is configured to use SSL or not. When more than one Ceph Object Gateway is in the master zone or in the secondary zone, then the `rgw_multisite_endpoints` option needs to be set. The `rgw_multisite_endpoints` option is a comma separated list, with no spaces. For example: ---- rgw_multisite_endpoints: http://foo.example.com:8080,http://bar.example.com:8080,http://baz.example.com:8080 ---- When adding a new Object Gateway, append it to the end of the `rgw_multisite_endpoints` list with the endpoint URL of the new Object Gateway before running the Ansible playbook.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:56:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3560 None closed rgw multisite: add more than 1 rgw to the master or secondary zone 2020-07-30 15:30:04 UTC
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:00 UTC

Description Mike Hackett 2019-01-09 21:26:04 UTC
Description of problem:

Currently the rgw multisite config options in ceph ansible only support configuring a single endpoint. If a customer has two RGW's that are doing replication on each side and the zonegroup endpoints contain 2 URL's we would not be able to configure this via ceph-ansible in it's current state.

We should support multiple endpoints being configured in ceph-ansible rgw multisite config.


Version-Release number of selected component (if applicable):
3.2

Comment 12 errata-xmlrpc 2019-04-30 15:56:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.